# Generated from sup-0.10.2.gem by gem2rpm -*- rpm-spec -*-

%global gem_name sup

Summary: A console-based email client written in ruby
Name: rubygem-%{gem_name}
Version: 0.10.2
Release: 8%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://sup.rubyforge.org/
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem

Requires: ruby(abi) = 1.9.1
Requires: ruby(rubygems)
Requires: ruby(ncurses)
Requires: xapian-bindings-ruby
Requires: rubygem(rmail)
Requires: rubygem(highline)
Requires: rubygem(net-ssh)
Requires: rubygem(trollop)
Requires: rubygem(lockfile)
Requires: rubygem(mime-types)
Requires: rubygem(gettext)

BuildRequires: ruby
BuildRequires: rubygems-devel

BuildArch: noarch

Provides: %{gem_name} = %{version}
Provides: rubygem(%{gem_name}) = %{version}

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%description
Sup is a console-based email client for people with a lot of email. It
supports tagging, very fast full-text search, automatic contact-list
management, and more. If you're the type of person who treats email as an
extension of your long-term memory, Sup is for you.  Sup makes it easy to: -
Handle massive amounts of email.  - Mix email from different sources: mbox
files (even across different machines), Maildir directories, IMAP folders, POP
accounts, and GMail accounts.  - Instantaneously search over your entire email
collection. Search over body text, or use a query language to combine search
predicates in any way.  - Handle multiple accounts. Replying to email sent to
a particular account will use the correct SMTP server, signature, and from
address.  - Add custom code to handle certain types of messages or to handle
certain types of text within messages.  - Organize email with user-defined
labels, automatically track recent contacts, and much more!  The goal of Sup
is to become the email client of choice for nerds everywhere.


%prep

%build

%install

mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
            
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gem_dir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gem_dir}/bin

# Modifying gemspec to remove dependency on xapian-full and ncursesw

pushd %{buildroot}%{gem_dir}/specifications
sed -i -e '/xapian-full/, 1d' %{gem_name}-%{version}.gemspec
sed -i -e '/ncursesw/, 1d' %{gem_name}-%{version}.gemspec
popd

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{_bindir}/sup
%{_bindir}/sup-add
%{_bindir}/sup-config
%{_bindir}/sup-dump
%{_bindir}/sup-recover-sources
%{_bindir}/sup-sync
%{_bindir}/sup-sync-back
%{_bindir}/sup-tweak-labels
%{_bindir}/sup-convert-ferret-index
%doc %{gem_instdir}/CONTRIBUTORS
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.txt
%doc %{gem_instdir}/ReleaseNotes
%{gem_libdir}
%{gem_instdir}/bin
%exclude %{gem_libdir}/ncurses.rb
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%{gem_docdir}

%changelog
* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 0.10.2-8
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 14 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-5
- Added Provides: rubygem(%%{gemname}) = %%{version}

* Mon Jun 14 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-4
- Removed redundant versions from Requires.
- Moving %%{gemdir}/bin/* to %%{_bindir}
- Excluded lib/ncurses.rb
- Renamed package to rubygem-sup

* Fri Jun 11 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-3
- Removed require 'xapian-full' and 'ncursesw' from gemspec

* Wed Jun 09 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-2
- Moving %%geminstdir/bin/* instead of %%gemdir/bin/* to %%_bindir
- Requires xapian-bindings-ruby

* Mon Jun 07 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-1
- Initial package
